package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class Pajak
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "Pajak_M")
public class PajakVO extends BaseMasterVO {
	@Caption(value="Deskripsi")
	private String deskripsi;

	public void setDeskripsi(String deskripsi) {
		this.deskripsi = deskripsi;
	}

	@Column(name = "Deskripsi", nullable = false , length = 300)
	public String getDeskripsi(){
		return this.deskripsi;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectJenisPajakFk")
	@Caption(value="Object Jenis Pajak")
	private JenisPajakVO jenisPajak;

	public void setJenisPajak(JenisPajakVO jenisPajak) {
		this.jenisPajak = jenisPajak;
	}

	@Column(name = "KdJenisPajak", nullable = true )
	public JenisPajakVO getJenisPajak(){
		return this.jenisPajak;
	}

	@Column(name = "ObjectJenisPajakFk", insertable=false,updatable=false)
	private Integer jenisPajakId;

	@Caption(value="Kode Pajak")
	private Byte kdPajak;

	public void setKdPajak(Byte kdPajak) {
		this.kdPajak = kdPajak;
	}

	@Column(name = "KdPajak", nullable = false )
	public Byte getKdPajak(){
		return this.kdPajak;
	}

	@Caption(value="Pajak")
	private String pajak;

	public void setPajak(String pajak) {
		this.pajak = pajak;
	}

	@Column(name = "Pajak", nullable = false , length = 50)
	public String getPajak(){
		return this.pajak;
	}

	@Caption(value="QPajak")
	private Byte qPajak;

	public void setqPajak(Byte qPajak) {
		this.qPajak = qPajak;
	}

	@Column(name = "QPajak", nullable = false )
	public Byte getqPajak(){
		return this.qPajak;
	}


}

